Conky-Lua-Arch

By | March 27, 2013

Il progetto è nato semplicemente da una ricerca: cercavo una configurazione per conky e mi sono imbattuto in una configurazione su Gnome-Look dove le uniche distro erano: Ubuntu, Fedora e LinuxMint!!!

Tutte tranne ArchLinux!!! A questo punto ho deciso di crearne una io :-)

Versione

La versione attuale è la 0.3-2 rilasciata il 16/05/2012.

conkylua2

Installazione

Il pacchetto è reperibile in AUR e installabile attraverso il comando:

$ yaourt -Sy conky-lua-arch

Se non hai ancora installato yaourt segui QUSTA guida.

Configurazione

Questa configurazione non cancella l’attuale conky configurata ma si limita a creare un lanciatore in applicazioni -> sistema dove è possibile eseguirla!!!

Il file di configurazione da modificare per ulteriori personalizzazioni è:

/etc/conky/conky-arch.conf

All’interno della directory /usr/share/conky-lua-arch/ trovate tutto il contenuto del pacchetto compreso il file .lua.

Fix Gnome3

Per coloro che utilizzano Gnome3 devono sostituire all’interno del file di configurazione di conky, il valore:

own_window_type "overwrite"

in

own_window_type "normal"

Ringrazio Arriagga per la segnalazione

Screenshot

schermata15

Ringrazio l’utente umby213 per lo screenshoot

Links


  • g cong

    molto bello, domani me lo installo, grazie!

    • http://dark-linux.net/ AlexioBash

      grazie! fammi sapere!

      • g cong

        ho scaricato il pacchetto da AUR, ma non me lo fa installare:

        makepkg -csi

        ==> Creazione del pacchetto: conky-lua-arch 0.3-3 (ven 5 apr 2013, 20.38.02, CEST)

        ==> Controllo delle dipendenze durante l’avvio in corso…

        ==> Installazione delle dipendenze mancanti in corso…

        [sudo] password for mioarch:

        :: I seguenti pacchetti dovrebbero essere aggiornati prima :

        pacman

        :: Vuoi annullare l’operazione corrente

        :: e aggiornare adesso questi pacchetti? [S/n] n

        errore: il seguente pacchetto non è stato trovato: conky-lua

        ==> ERRORE: ‘pacman’ non è riuscito ad installare le dipendenze mancanti.

        • http://dark-linux.net/ AlexioBash

          il problema non è il pacchetto conky-lua ma l’aggiornamento di pacman che hai annullato! ;-)

          • g cong

            sì è vero, ma in questi giorni aggiornare pacman è problematico, infatti:

            [mioarch@mioarch conky-lua-arch]$ makepkg -csi

            ==> Creazione del pacchetto: conky-lua-arch 0.3-3 (ven 5 apr 2013, 22.48.08, CEST)

            ==> Controllo delle dipendenze durante l’avvio in corso…

            ==> Installazione delle dipendenze mancanti in corso…

            [sudo] password for mioarch:

            :: I seguenti pacchetti dovrebbero essere aggiornati prima :

            pacman

            :: Vuoi annullare l’operazione corrente

            :: e aggiornare adesso questi pacchetti? [S/n] s

            risoluzione delle dipendenze in corso…

            ricerca dei conflitti in corso…

            errore: impossibile eseguire l’operazione richiesta (impossibile soddisfare le dipendenze)

            :: package-query: richiede pacman ERRORE: ‘pacman’ non è riuscito ad installare le dipendenze mancanti.

            vedrò tra qualche giorno se riesco a risolvere :-)

          • http://dark-linux.net/ AlexioBash

            prova a modificare pacman.conf cosi:
            IgnorePkg =pacman

            salva e lancia:
            # pacman -Sy
            e rilancia la compilazione. vedi se risolvi

          • g cong

            ho risolto x pacman così: pacman -Syd pacman e poi pacman -Syu.

            Ma:

            [mioarch@mioarch ~]$ yaourt -Sy conky-lua-arch

            [sudo] password for mioarch:

            :: Sincronizzazione dei database in corso…

            core è aggiornato

            extra è aggiornato

            community è aggiornato

            package-query: error while loading shared libraries: libalpm.so.7: cannot open shared object file: No such file or directory

            package-query: error while loading shared libraries: libalpm.so.7: cannot open shared object file: No such file or directory

            errore: il seguente pacchetto non è stato trovato: conky-lua-arch

          • g cong

            stessa cosa se scarico il pacchetto direttamente da AUR:

            cd conky-lua-arch

            [mioarch@mioarch conky-lua-arch]$ ls

            PKGBUILD

            [mioarch@mioarch conky-lua-arch]$ makepkg -csi

            ==> Creazione del pacchetto: conky-lua-arch 0.3-3 (sab 6 apr 2013, 09.07.27, CEST)

            ==> Controllo delle dipendenze durante l’avvio in corso…

            ==> Installazione delle dipendenze mancanti in corso…

            errore: il seguente pacchetto non è stato trovato: conky-lua

            ==> ERRORE: ‘pacman’ non è riuscito ad installare le dipendenze mancanti.

            Mah, non saprei proprio. Ho notato poi che il pacchetto scaricato da SourceForge contiene, oltre al file PKGBUILD, un’altra cartellina con altri files e un altro PKGBUILD. Li dentro ho dato make ma niente.

          • http://dark-linux.net/ AlexioBash

            devi dare da root:
            makepkg -g >> PKGBUILD
            makepkg -is
            ma comunque le dipendenze devi installarle

          • g cong

            dopo diversi smanettamenti ci sono riuscito! è molto, molto bello, complimenti e grazie per i suggerimenti :-))

  • Riccardo R.

    Ciao. Uso Arch da quasi un anno ed ho sempre usato Conky-Lua-Arch. Da un bell’aspetto al mio desktop (Bel lavoro, mi piace un sacco!). Una settimana fa ho dovuto reinstallare Arch per riportare un po’ di ordine dopo aver fatto una serie di esperimenti con DE multipli. Ora non so come ma non appaiono più le linee colorate nei cerchietti relativi alle velocità di Upload e Download delle interfaccie sia via cavo che wireless. Mi spuntano i valori delle velocità, ma non si colorano i cerchi. Ho provato a smanettare un po’ nel file di configurazione dell’applicazione, ma non sono riuscito lo stesso a venirne a capo, nemmeno reinstallandolo da capo. Non è che potresti darmi una mano?
    Il mio DE è Xfce.

    • Riccardo R.

      Come non detto. Ho risolto da solo.
      Oltre ad editare il file di configurazione di conky-lua-arch bisognava editare “clock_rings.lua” al quale fa riferimento il file di configurazione principale. Il problema era che in “clock_rings.lua” lo script faceva ancora riferimento all’interfaccia “wlan0″ e non al nome proprio dell’interfaccia come fa ora Arch. Sistemato questo tutto ha ripreso a funzionare. ;)

      • http://alexiobash.com/ AlexioBash

        Ottimo!!! infatti da qualche tempo le schede di rete hanno nomi diversi da eth e wlan.. a presto

  • http://profiles.google.com/murpholinox Murpholino Peligro

    can I install this on archlinux+lxde?

    • http://alexiobash.com/ AlexioBash

      Yes!!! you can install conky-lua-arch on archlinux+lxde! let me know!!!

  • Simone Padovan

    ciao, ho notato che il tuo conky(lo stesso che uso io,solo con alcune modifiche) è un po’ sballato :/ dovresti citare il fatto che ha bisogno di una piccolissima modifica per allineare il testo agli indicatori (basta aggiungere degli spazi o aumentare il valore del font :)

    • http://alexiobash.com/ AlexioBash

      Ciao Simone, è normale che sia un po sballato! mi spiego… in base alla risoluzione del proprio monitor l’utente dovrebbe modificare in base alla propria configurazione. il pacchetto è la base! grazie comunque per il commento sarà utile a molti utenti!

      • Simone Padovan

        si certo,dipende dal monitor, ..spero che sia un po’ d’aiuto.
        ciao!

        • http://alexiobash.com/ AlexioBash

          ho detto una cavolata! sono appena tornato a casa e in effetti non avevo capito bene cosa intendevi! tu intendi i valori della cpu ecc in base al cerchio di lua script vero?

          EDIT: scusa per la mia risposta affrettata….

          • Simone Padovan

            esattissimo ;)

            ma anche io lho data un po’ affrettata.. quel tema conky li..non si scarica direttamente da AUR no?? ..non ci ho mai fatto caso perchè avevo gia il conkyrc nella home..e quindi ad installazione conky partiva’ gia’ con il tema

          • http://alexiobash.com/ AlexioBash

            ok allora 1 a 1! ;-) a presto!

          • Simone Padovan

            ehhh a presto si’… maledetto il giorno che mi sono innamorato di questa distro.. ormai con tutti i problemi e relative installazioni conosco a memoria tutte le tue guide e i tuoi video di youtube…

            hahaha
            ciao!!

          • http://alexiobash.com/ AlexioBash

            all’inizio è normale… vedrai che poi non dovrai più reinstallare tutto!! ci siamo passati tutti penso…

          • Simone Padovan

            tanta forza di volonta..ma tanta tanta…

            alzo il pollice e ti saluto! alla prox
            bye

  • †††John†††

    hey man… could u please help me out. sorry i don’t speak spanish. i really want this on my arch linux. i have arch but i don’t understand your instructions at all. where is the conky script? for the conkyrc………… usually i edit it to get my conky. your instructions just don’t make sense to me. i have conky installed and the lua… i do not see the folder you are talking about though. could u provide the conkyrc configuration you used. PLEASE! :-) thankx man…………….. or you could make the conkyrc configuration downloadable… please any help would be sweet thankx again!!!!!